## yudit 2.5.4

=== bin/Makefile ===
all:

really: ../../UnicodeData.txt
	./shape.pl $< > ../mytool/mys/shape.mys 2> /dev/null

debug: ../../UnicodeData.txt
	./shape.pl $< > ../mytool/mys/shape.mys

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap
