=== tests/Makefile ===
include ../Makefile.conf

TEST_MODULES=Test.o 
SPEED_MODULES=Speed.o 
YUKO_MODULES=Yuko.o 
DRAW_MODULES=Drawing.o 
HANDPAD_MODULES=Handpad.o 

ifeq ($(SPLATFORM),WINDOWS)
TEST_OBS=$(subst .o,.obj,$(TEST_MODULES))
SPEED_OBS=$(subst .o,.obj,$(SPEED_MODULES))
YUKO_OBS=$(subst .o,.obj,$(YUKO_MODULES))
DRAW_OBS=$(subst .o,.obj,$(DRAW_MODULES))
HANDPAD_OBS=$(subst .o,.obj,$(HANDPAD_MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
MYLIBS=/link /subsystem:CONSOLE $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
#MYLIBS=/link /subsystem:WINDOWS $(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
else
TEST_OBS=$(TEST_MODULES)
SPEED_OBS=$(SPEED_MODULES)
YUKO_OBS=$(YUKO_MODULES)
DRAW_OBS=$(DRAW_MODULES)
HANDPAD_OBS=$(HANDPAD_MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWINLIBS=-L../swindow -lswindow 
SWIDGETLIBS=-L../swidget -lswidget 
MYLIBS=$(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
endif

.PHONY:all clean config 

all:  handpad

test1: $(TEST_OBS)
	$(LD) -o test1 $(TEST_OBS) $(MYLIBS)

speed1: $(SPEED_OBS)
	$(LD) -o speed $(SPEED_OBS) $(MYLIBS)

yuko1: $(YUKO_OBS)
	$(LD) -o yuko $(YUKO_OBS) $(MYLIBS)

draw: $(DRAW_OBS)
	$(LD) -o draw $(DRAW_OBS) $(MYLIBS)

handpad: $(HANDPAD_OBS)
	$(LD) -o handpad $(HANDPAD_OBS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

install:
	rm -f $(bindir)/test1
	$(INSTALL_PROGRAM) test1 $(bindir)

clean: 
	rm -f *.o *.obj handpad draw speed speed.exe yuko yuko.exe test1 test1.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(TEST_OBS)) > .depend


ifeq (.depend, $(wildcard .depend))
include .depend
endif
