=== mytool/hwd/Makefile ===
# Simple as that - we want utf-8 in our files.
#
# PLEASE READ documents in ../../doc/hwd
# ======================================
#
# Do not even try this unless you have yudit version 2.4.8beta7 or better
# uniconv shift-jis was fixed there. 
# Gaspar Sinai <gsinai@yudit.org>
# 2001-10-02 Tokyo
#
# http://www.kotnet.org/~skimo/kanji/gtkkanjipad-0.07.tar.gz 
# has strokedata.h and hanzidata.h.
# I have them here too.

include ../../Makefile.conf

TARGET=kanji.hwd hanzi.hwd

all:
	@echo "hwd is already made when packaged"

really: $(TARGET)

kanji.hwd: strokedata.h convert.pl
	perl convert.pl  sjis $<  > $@
	patch -p0 < kanji.hwd.patch0
	patch -p0 < kanji.hwd.patch1
	patch -p0 < kanji.hwd.patch2

hanzi.hwd: hanzidata.h convert.pl
	perl convert.pl  gb  $< > $@

reallyclean:
	rm -f kanji.hwd  hanzi.hwd *.bak  core

clean:
	rm -f  *.bak  core

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@for whd in *.hwd; do \
		echo installing $$whd; \
		$(INSTALL_DATA) $$whd $(DESTDIR)/$(datadir)/yudit/data; \
	done

depend:
