=== mytool/kmap/Makefile ===

include ../../Makefile.conf

KMAPS=$(basename $(notdir $(wildcard *.kmap))) 

TARGET=$(addsuffix .my,$(KMAPS))

all: $(TARGET)

clean:
	rm -f *.my *.o *.bak message.txt core

#
# Benagli clustering kmap
#
Bengali.my: Bengali.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Benagli clustering kmap
# Suggested by Department of IT, Goverment of India.
#
Ben-Inscript.my: Ben-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Devanagari clustering kmap
#
Devanagari.my: Devanagari.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Devanagari clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Dev-Inscript.my: Dev-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Devanagari phonetic clustering Keyboard 
#
Dev-Phonetic.my: Dev-Phonetic.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gujarari clustering kmap
#
Gujarati.my: Gujarati.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gujarati clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Guj-Inscript.my: Guj-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gurmukhi clustering kmap
#
Gurmukhi.my: Gurmukhi.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Gurmukhi clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Gur-Inscript.my: Gur-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Oriya clustering kmap
#
Oriya.my: Oriya.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Oriya clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Ori-Inscript.my: Ori-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Malayalam clustering kmap
#
Malayalam.my: Malayalam.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Malayalam clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Mal-Inscript.my: Mal-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@
#
# Telugu clustering kmap
#
Telugu.my: Telugu.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Telugu clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Tel-Inscript.my: Tel-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Kannada clustering kmap
#
Kannada.my: Kannada.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

#
# Kannada clustering Keyboard 
# Suggested by Department of IT, Goverment of India.
#
Kan-Inscript.my: Kan-Inscript.kmap
	@echo Processing $< ...
	../mytool -type clkmap -kmap $< -rkmap $<  -write $@

%.my:%.kmap
	@echo Processing $< ...
	../mytool -type kmap -kmap $< -rkmap $<  -write $@

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/src ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/src;fi 
	@for mymap in *.my; do \
		echo installing $$mymap; \
		$(INSTALL_DATA) $$mymap $(DESTDIR)/$(datadir)/yudit/data; \
	done
	@for mysrc in *.kmap; do \
		echo installing $$mysrc; \
		$(INSTALL_DATA) $$mysrc $(DESTDIR)/$(datadir)/yudit/src; \
	done

depend:
