=== mytool/mys/Makefile ===
include ../../Makefile.conf

#-------------------------------------------------------------------------------

.SUFFIXES: .o .cpp .h .mys .my
SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))

TARGET = $(OUT_MAPS) 


%.o:%.cpp
	$(CXX)  -c $(ALL_CFLAGS) -o $@ $<


all: $(TARGET)

%.my:%.mys
	@echo "Making $@ ..."
	../mytool -convert my -write $@ -mys $<

clean:
	rm -f *.my *.o *.bak core message.txt

depend:

install: $(TARGET)
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir); fi
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@for map in *.my ; do \
		echo installing $$map; \
		$(INSTALL_DATA) $$map $(DESTDIR)/$(datadir)/yudit/data; \
		if [ $$? != 0 ]; then \
			exit 1; \
		fi; \
	done \
	

ifeq (.depend, $(wildcard .depend))
include .depend
endif
