=== stoolkit/Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 MODULES=SExcept.o SObject.o SShared.o SHShared.o SBVector.o \
   SBHashtable.o SString.o SUniqueID.o SStringVector.o SProperties.o \
-  SEvent.o SEventBSD.o SIO.o SIOStream.o \
+  SEvent.o SEventBSD.o SIO.o SIOStream.o SCharClass.o \
   SConfig.o SBMap.o SUniMap.o SEncoder.o SMatrix.o \
-  STextIndex.o STextData.o SUtil.o SAutogen.o \
-  SDimension.o SLocation.o SLineCurve.o SHWConverter.o SCluster.o
+  STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
+  STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
+  SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \
 
 SENC_OBJS= sencoder/SBEncoder.o \
   sencoder/SB_UTF8.o \
@@ -13,6 +14,7 @@
   sencoder/SB_UTF7.o \
   sencoder/SB_Generic.o \
   sencoder/SB_ISO2022_JP.o \
+  sencoder/SB_ISO2022_JP3.o \
   sencoder/SB_EUC_JP.o \
   sencoder/SB_X11_JP.o \
   sencoder/SB_S_JIS.o  \
@@ -26,9 +28,11 @@
   sencoder/SB_BIG5.o \
   sencoder/SB_UCS2.o \
   sencoder/SB_UInput.o  \
-  sencoder/SB_Shape.o  \
   sencoder/SB_DeShape.o  \
   sencoder/SB_NCR.o  \
+  sencoder/SB_GB18030.o  \
+  sencoder/SB_S_JIS0213.o  \
+  sencoder/SB_EUC_JP0213.o  \
   sencoder/SB_BiDi.o  
 
 ifeq ($(SPLATFORM),WINDOWS)
