=== mytool/hwd/Makefile ===
--- 
+++ 
@@ -26,6 +26,9 @@
 	patch -p0 < kanji.hwd.patch0
 	patch -p0 < kanji.hwd.patch1
 	patch -p0 < kanji.hwd.patch2
+	patch -p0 < kanji.hwd.patch3
+	patch -p0 < kanji.hwd.patch4
+	patch -p0 < kanji.hwd.patch5
 
 hanzi.hwd: hanzidata.h convert.pl
 	perl convert.pl  gb  $< > $@
