=== mytool/mys/Makefile ===
--- 
+++ 
@@ -6,7 +6,15 @@
 SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
 OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))
 
+#
+# Contains private, unofficial JIS0213-1.TXT JIS0213-2.TXT
+# needed for jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
+#
+JIS0213_1=../../../JISX0213-1.TXT
+JIS0213_2=../../../JISX0213-2.TXT
+
 TARGET = $(OUT_MAPS) 
+
 
 
 %.o:%.cpp
@@ -18,6 +26,89 @@
 %.my:%.mys
 	@echo "Making $@ ..."
 	../mytool -convert my -write $@ -mys $<
+
+IS_AS.my:IS_AS.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_BN.my:IS_BN.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_DV.my:IS_DV.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_GJ.my:IS_GJ.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_KN.my:IS_KN.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_ML.my:IS_ML.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_OR.my:IS_OR.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_PJ.my:IS_PJ.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_RM.my:IS_RM.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_TL.my:IS_TL.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+IS_TM.my:IS_TM.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+tscii.my:tscii.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+nastaliq.my:nastaliq.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+# Make all jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
+# This is usually already made.
+jisx0213: 
+	perl ../../bin/parsejisx0213.pl 2 jis-0213-1.mys  $(JIS0213_1) > jis-0213-1.mys
+	perl ../../bin/parsejisx0213.pl 2 jis-0213-2.mys  $(JIS0213_2) > jis-0213-2.mys
+	perl ../../bin/parsejisx0213.pl 1 shift-jis-3.mys $(JIS0213_1) $(JIS0213_2) > shift-jis-3.mys
+
+jis-0213-1.my:jis-0213-1.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+jis-0213-2.my:jis-0213-2.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+shift-jis-3.my:shift-jis-3.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+gb-18030.my:gb-18030.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+charclass.my:charclass.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
+
+bidiclass.my:bidiclass.mys
+	@echo "Making $@ ..."
+	../mytool -convert my -write $@ -mys $< -rmys $<
 
 clean:
 	rm -f *.my *.o *.bak core message.txt
