## yudit 2.8.1

=== bin/Makefile ===
--- 
+++ 
@@ -6,12 +6,17 @@
 # Unihan.txt
 # BidiMirroring.txt
 #
-UNIROOT=/software/unicode/codetables/DOWNLOAD/
-UNIDATA=$(UNIROOT)/UNIDATA
-#MAPPINGS=$(UNIROOT)/MAPPINGS
-MAPPINGS=../../
+UNIROOT=../../Unicode
 
-really: gcategory shape mirror precompose olditalic jis2000
+UNIDATA=$(UNIROOT)/5.0.0/ucd
+MAPPINGS=$(UNIROOT)/MAPPINGS
+#
+# You should update UNIDATA charclass.pl bidiclass.pl precompose.pl 
+# mirroring.pl and run make map for unicode updates.
+#
+map: charclass bidiclass precompose mirror olditalic shape kmap
+
+restricted: gcategory shape mirror precompose olditalic jis2000
 
 charclass: $(UNIDATA)/UnicodeData.txt
 	perl charclass.pl $< > ../mytool/mys/charclass.mys
@@ -55,7 +60,9 @@
 	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT
 
 clean:
-	rm MAPPINGS/*.TXT
+	rm MAPPINGS/KSX1001.*
+	rm MAPPINGS/JOHAB.*
 
 veryclean:
-	rm MAPPINGS/*.TXT
+	rm MAPPINGS/KSX1001.*
+	rm MAPPINGS/JOHAB.*
