=== swindow/Makefile ===
--- 
+++ 
@@ -2,18 +2,21 @@
 
 MODULES=SAwt.o SGPrimitive.o SGEngine.o SWindow.o SColor.o \
  SImage.o SPen.o SCanvas.o SRedrawEvent.o \
- SFont.o SFontImpl.o SFontTTF.o SFontOTF.o \
+ SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
  SFontFB.o SFontNative.o SPostscript.o \
- SPrinter.o SAccelerator.o
+ SPrinter.o SAccelerator.o SScriptProcessor.o 
 
 TARGETDIR=
 TARGETOBJS=
 
 ifeq ($(SWINDOWS),X11)
 TARGETDIR:=$(TARGETDIR) SX11
-TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o sx11/SX11Color.o sx11/SX11Font.o \
- sx11/SXInputMethod.o sx11/SXEventHandler.o
-CPPFLAGS:=$(CPPFLAGS) -DUSE_X11=1 $(SWINDOW_FLAGS) 
+ifeq ($(USE_X11),-DUSE_X11=1)
+TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o \
+ sx11/SX11Color.o sx11/SX11Font.o \
+ sx11/SXInputMethod.o sx11/SXEventHandler.o 
+endif
+CPPFLAGS:=$(CPPFLAGS) $(SWINDOW_FLAGS) 
 endif
 
 ifeq ($(SWINDOWS),WIN32)
@@ -46,7 +49,7 @@
 	$(RANLIB) $@      
 
 sx11/%.o:sx11/%.cpp
-	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
 %.o:%.cpp
 	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)
