=== mytool/hwd/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 include ../../Makefile.conf
 
-TARGET=kanji.hwd hanzi.hwd
+TARGET=kanji.hwd hanzi.hwd 
 
 all:
 	@echo "hwd is already made when packaged"
