=== mytool/uni/Makefile ===
--- 
+++ 
@@ -15,20 +15,27 @@
 	tcvn.my \
 	wingreek.my \
 	cp-1251.my \
-	cp-1250.my \
-	jis-0201.my \
+	cp-1250.my 
+
+#
+# shift-jis.my is not used in converters - it is only here for fonts.
+#
+EASTASIAN= jis-0201.my \
 	jis-0208.my \
+	shift-jis.my \
 	jis-0212.my \
+	big-5.my \
+	gb-2312-l.my \
+	gb-2312-r.my \
 	ksc-5601-r.my \
 	ksc-5601-l.my \
-	ksc-5601-old.my \
-	big-5.my \
-	gb-2312-l.my \
-	gb-2312-r.my 
+	ksx-1001.my\
 
 MTARGETS=koi8-r.my koi8-c.my koi8-u.my tcvn.my viscii.my windows-1255.my \
-    wingreek.my iso-646.my iso-8859e.my category.my indic.my mik.my \
-    rovas.my mirroring.my
+    wingreek.my iso-646.my iso-8859e.my indic.my mik.my \
+    rovas.my mirroring.my 
+
+EASTASIAMAP=../../bin/MAPPINGS
 
 #
 # Make a bumap file...
@@ -41,12 +48,8 @@
 ALL_NAMES=$(basename $(ALL_TARGETS))
 #MYTOPT=
 
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-# 0 -> 0 can not be encoded with bumap! please remove those lines!!!
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-MAPDIR=../../../MAPPINGS
+#MAPDIR=../../../MAPPINGS
+MAPDIR=/software/unicode/codetables
 #MAPDIR=../../..
 
 #-------------------------------------------------------------------------------
@@ -58,6 +61,8 @@
 all: $(MTARGETS) MYTOOL
 
 my: $(TARGETS)
+
+eastasian: $(EASTASIAN)
 
 TL=".----------------------------------------------------------------"
 
@@ -65,7 +70,7 @@
 	@echo $(TL)
 	@echo "Most my-maps are in the distribution. If you have the MAPS from "
 	@echo "The unicode Consortium  in ../../MAPPINS, you can re-make your "
-	@echo "own by typing 'make umaps' or 'make my'"
+	@echo "own by typing 'make eastasian' or 'make my'"
 	@echo $(TL)
 
 #
@@ -110,9 +115,6 @@
 
 iso-8859e.my: 8859-9e.TXT
 	$(MYTOOL) $(MYTOPT) -name iso-8859e -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
-
-category.my: category.txt
-	$(MYTOOL) $(MYTOPT) -name category -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
 
 indic.my: indic.txt
 	$(MYTOOL) $(MYTOPT) -name indic -uni:0,1 $< -runi:0,1 $< -8 -write $@ 
@@ -152,30 +154,33 @@
 	$(MYTOOL) $(MYTOPT) -name cp-1251 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
 cp-1250.my: $(MAPDIR)/CP1250.TXT
 	$(MYTOOL) $(MYTOPT) -name cp-1250 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
-jis-0201.my: $(MAPDIR)/JIS0201.TXT
+jis-0201.my: $(EASTASIAMAP)/JIS0201.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0201 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-jis-0208.my: $(MAPDIR)/JIS0208.TXT
+jis-0208.my: $(EASTASIAMAP)/JIS0208.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0208 -uni:1,2 $< -runi:1,2 $<  -write $@ 
+
+shift-jis.my: $(EASTASIAMAP)/JIS0208.TXT
+	$(MYTOOL) $(MYTOPT) -name shift-jis -uni:0,2 $< -runi:0,2 $<  -write $@ 
 	
-jis-0212.my: $(MAPDIR)/JIS0212.TXT
+jis-0212.my: $(EASTASIAMAP)/JIS0212.TXT
 	$(MYTOOL) $(MYTOPT) -name jis-0212 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-ksc-5601-r.my: $(MAPDIR)/KSC5601.TXT
+ksc-5601-r.my: $(EASTASIAMAP)/KSC5601.TXT
 	$(MYTOOL) $(MYTOPT) -name ksc-5601-r -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-ksc-5601-l.my: $(MAPDIR)/KSC5601.TXT
+ksc-5601-l.my: $(EASTASIAMAP)/KSC5601.TXT
 	$(MYTOOL) $(MYTOPT) -name ksc-5601-l -low -uni:0,1 $< -runi:0,1 $<  -write $@ 
-ksc-5601-old.my: $(MAPDIR)/OLD5601.TXT
-	$(MYTOOL) $(MYTOPT) -name ksc-5601-old -uni:0,1 $< -runi:0,1 $<  -write $@ 
-
-big-5.my: $(MAPDIR)/BIG5.TXT
+ksx-1001.my: $(EASTASIAMAP)/KSX1001.TXT
+	$(MYTOOL) $(MYTOPT) -name ksx-1001 -uni:0,1 $< -runi:0,1 $<  -write $@ 
+
+big-5.my: BIG5.TXT
 	$(MYTOOL) $(MYTOPT) -name big-5 -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-gb-2312-l.my: $(MAPDIR)/GB2312.TXT
+gb-2312-l.my: $(EASTASIAMAP)/GB2312.TXT
 	$(MYTOOL) $(MYTOPT) -name gb-2312-l -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
-gb-2312-r.my: $(MAPDIR)/GB2312.TXT
+gb-2312-r.my: $(EASTASIAMAP)/GB2312.TXT
 	$(MYTOOL) $(MYTOPT) -name gb-2312-r -high -uni:0,1 $< -runi:0,1 $<  -write $@ 
 
 install:
