=== debian/changelog ===
yudit (2.8.1-4) unstable; urgency=low

  * QA upload
  * switch to "3.0 quilt" source format
  * clean all configure generated files
  * use Homepage field in control (Closes: 615372, 615402, 615344)
  * fix manpage (Closes: 501658)
  * switch to debhelper compat 7
  * modernize debian/rules
  - support build-arch, build-indep
  - use dpkg-buildflags
  * update suggest for ttf-kochi-gothic (Closes: 644773)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Oct 2011 16:15:45 +0200

yudit (2.8.1-3) unstable; urgency=low

  * New maintainer E-Mail.
  * Removed the -s option in INSTALL_RPOGRAM in Makefile.conf.in to avoid
    automatic stripping (Closes: #438359).
  * Added [ ! -f Makefile ] || $(MAKE) clean to debian/rules.

 -- Mario Iseli <mario@debian.org>  Mon, 20 Aug 2007 09:45:31 +0200

yudit (2.8.1-2) unstable; urgency=medium

  * Added a postinst and prerm script to yudit-doc which adds or removes a
    symlink to /usr/share/doc/yudit-doc. Do not compress the HOWTO files
    (Closes: #385930).
  * yudit-doc depends now on yudit.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 07 Oct 2006 11:18:08 +0200

yudit (2.8.1-1) unstable; urgency=low

  * New upstream version

 -- Mario Iseli <admin@marioiseli.com>  Sat, 02 Sep 2006 21:56:22 +0200

yudit (2.7.8-4) unstable; urgency=medium

  * Fixes build with gcc-4.1 (Closes: #357070)

 -- Mario Iseli <admin@marioiseli.com>  Sun, 19 Mar 2006 19:09:43 +0100

yudit (2.7.8-3) unstable; urgency=medium

  * yudit-common doesn't longer depend on yudit, but conflicts with old
    versions of yudit. (Closes: #351667)

 -- Mario Iseli <admin@marioiseli.com>  Mon,  6 Feb 2006 20:36:40 +0100
 

yudit (2.7.8-2) unstable; urgency=low

  * New Maintainer (Closes: #347570)
  * Separated source into 3 packages (-doc + -common) (Closes: #233464)
  * Removed the patch for the Makefile.conf (useless)
  * Overworked debian/copyright to new standards
  * Introduced dpatch and added the old 3 patches
  * Add UTF-8 Examples in debian/rules

 -- Mario Iseli <admin@marioiseli.com>  Tue, 17 Jan 2006 23:06:28 +0100

yudit (2.7.8-1) unstable; urgency=low

  * new upstream version.
  * include /usr/share/fonts/truetype/msttcorefonts in default config path (closes: #298951)
  * remove /usr/share/yudit/doc/UTF-8-demo*.txt (closes: #285944)
  * Orphaning the package, setting Maintainer to Debian QA Group.
    I really do not have the time to maintain yudit, even if
    I find it an extremely useful tool.

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 24 Dec 2005 20:59:08 +0100

yudit (2.7.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0. Closes: #297292

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 31 Jul 2005 08:15:13 +0200

yudit (2.7.6-1) unstable; urgency=low

  * new upstream version
  * modified font path to better reflect debian defaults
  
 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 11 Jul 2003 11:22:19 +0200

yudit (2.7.5-1) unstable; urgency=low

  * new upstream version, closes: #196339
  * improved description, closes: #172064
  
 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 11 Jul 2003 11:22:19 +0200

yudit (2.6-2) unstable; urgency=low

  * apply _again_ the patch to test /etc/passwd (upstream forgot).
    Closes: #141019, #145327
  
 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  2 May 2002 18:11:39 +0200

yudit (2.6-1) unstable; urgency=low

  * new upstream release, closes: #141227

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 30 Apr 2002 19:33:54 +0200

yudit (2.5.4-2) unstable; urgency=low

  * put forgotten patch to test /etc/passwd instead of /etc/hosts
    to Makefile.conf.in (closes: #141019)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  4 Apr 2002 18:41:44 +0200

yudit (2.5.4-1) unstable; urgency=low

  * new upstream release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  2 Apr 2002 18:32:38 +0200

yudit (2.5.2-2) unstable; urgency=low

  * applied patches found on Gaspar's site

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sat,  9 Feb 2002 23:26:58 +0100

yudit (2.5.2-1) unstable; urgency=low

  * new upstream release

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 27 Jan 2002 10:56:53 +0100

yudit (2.5-1) unstable; urgency=low

  * new upstream release
  * do not test /etc/hosts but rather /etc/passwd in Makefile.in (closes: #121986)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 18 Dec 2001 21:14:51 +0100

yudit (2.4.8-1) unstable; urgency=low

  * new upstream release
  * unifont is now recommended

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 13 Nov 2001 19:32:53 +0100

yudit (2.4-2) unstable; urgency=low

  * renamed Chinese locale to zh
  * added SK.kmap
  * added gettext build dependency (closes: #108353)
  * changed default font from unifont to default (closes: #108631)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 10 Aug 2001 10:25:42 +0200

yudit (2.4-1) unstable; urgency=low

  * New maintainer
  * Big leap in upstream version (closes: #84312 )
  * upstream does not have multiple GUI's anymore (closes: #103923)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  7 Aug 2001 14:58:18 +0200

yudit (1.6-1) unstable; urgency=low

  * New Upstream version
  * Corrected the build-depends, upped the standards-version
  * Include <time.h>, use newer c++ libs, closes: #99049
  * Add yudit to the gnome menu

 -- Bart Schuller <schuller@debian.org>  Mon, 28 May 2001 21:32:54 +0200

yudit (1.5-2) unstable; urgency=low

  * added the "flex" and "gettext" build-dependencies, closes: #53621

 -- Bart Schuller <schuller@debian.org>  Tue, 28 Dec 1999 12:27:57 +0100

yudit (1.5-1) unstable; urgency=low

  * New upstream version
  * compiled with current libs, closes: #53464
  * moved to debian standards version 3.1.0

 -- Bart Schuller <schuller@debian.org>  Sat, 25 Dec 1999 21:28:11 +0100

yudit (1.3-1) unstable; urgency=low


