=== debian/control ===
Source: yudit
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.0), x11proto-core-dev, libx11-dev, gettext
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yudit.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/yudit.git

Package: yudit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
Recommends: unifont
Suggests: yudit-doc, msttcorefonts, fonts-vlgothic | ttf-kochi-gothic, ttf-freefont
Description: Unicode text editor (arch-dependent binaries)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
Homepage: http://www.yudit.org

Package: yudit-common
Architecture: all
Depends: ${misc:Depends}
Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
Description: Unicode text editor (arch-independent files)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
 .
 This package contains the arch-independent files in /usr/share.
Homepage: http://www.yudit.org


Package: yudit-doc
Section: doc
Architecture: all
Depends: yudit (>= ${source:Version}), ${misc:Depends}
Description: Unicode text editor (Documentation)
 The unicode editor "yudit" has got a big documentation in lots of languages.
 After the installation, the documentation will be available in:
 /usr/share/doc/yudit-doc/
Homepage: http://www.yudit.org
