=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall
LDFLAGS += -Wl,-z,defs

Makefile: configure
	dh_testdir
	./configure --prefix=/usr \
	  --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	  --with-x --x-includes=/usr/include/X11 --x-libraries=/usr/lib \
	  CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
	  LDFLAGS='$(LDFLAGS)'
	# can't people not understaning build systems simply use automake?
	sed -e 's/^LD *=.*/LD = $$(CXX) $(CXXFLAGS) $(LDFLAGS)/' \
	    -e 's/^CFLAGS *=.*/CFLAGS = $(CXXFLAGS)/' \
	    -i Makefile.conf

build-stamp: Makefile
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile Makefile.conf
	rm -f doc/FAQ.TXT doc/*/FAQ.TXT yudit.properties
	rm -f uniprint/uniprint.1 uniconv/uniconv.1
	rm -f gui/locale/*/LC_MESSAGES/*.mo
	rm -f config.log
	rm -f config.cache
	rm -f config.status
	dh_clean

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	rm -f debian/tmp/usr/share/yudit/doc/*/COPYING*
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress -XHOWTO -XFAQ
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
binary: binary-indep binary-arch
build-arch: build-stamp
build-indep:
build: build-indep build-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
